#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/core/aspnet:3.1-buster-slim AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/core/sdk:3.1-buster AS build
WORKDIR /src
COPY ["IAEA.Api/IAEA.Api.csproj", "IAEA.Api/"]
RUN dotnet restore "IAEA.Api/IAEA.Api.csproj"
COPY . .
WORKDIR "/src/IAEA.Api"
RUN dotnet build "IAEA.Api.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "IAEA.Api.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "IAEA.Api.dll"]